
Redmine - Defect #123

One user's bad email address breaks all email notifications for everyone on a project

2007-10-08 16:31 - Adam Knight

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Because everyone's email address is used in one email, if a mail server rejects the message because one address is bad

and it hosts that domain, then no notifications are ever sent for any project that the bad user is a part of.

Example: Say I have A.A, B.B, and C.C @foo.com.  If B.B lists his email as B-B@foo.com then the mail server at foo.com

(which is the one redmine is using) will reject the address, and thus the message.

Redmine should send one email per addressee rather than one group email OR have the option of sending all notifications

for the project to one address so someone can setup a mailing list and then one email to the person that owns the object

that generated the notification (an issue's assigned owner, for instance).

Related issues:

Is duplicate of Redmine - Defect #8157: Redmine do not send notification emai... Closed

History

#1 - 2007-12-01 16:26 - Jean-Philippe Lang

will reject the address, and thus the message.

 This is related to your SMTP server.

But it's not a Redmine bug.

#2 - 2007-12-01 18:31 - Adam Knight

No, this isn't a mail server-specific issue.  This is standard

for all mail servers

that process mail for a domain.  If any recipient in the list

is invalid, the

message is rejected.  This is why mailing list servers send messages

out one

at a time.  This is why Trac sends them out one at a time.  This

is why

Redmine should also be sending them out one at a time.

It's in RFC 821, section 3.1: "If the recipient is unknown

the receiver-SMTP

returns a 550 Failure reply."

This causes the message to fail in its entirety if there's a

bad recipient in the

address list and the server knows it.

Please send out messages one at a time.  It's a simple loop. :)

#3 - 2007-12-02 07:50 - Jean-Philippe Lang

If any recipient in the list is invalid, the message is

 rejected.
I'm just trying to understand... If you're right, how do you

explain example 1 in RFC 821, page 5 ?

This is why Trac sends them out one at a time.

 This was the case in 0.9, but not in 0.10.

I've just installed Trac 0.10.3 and I can guarantee that only

one notification is sent for all the recipients (bcc by default).

I think that rubyforge is also doing so.

#4 - 2007-12-02 12:33 - Adam Knight

I'm not saying it's invalid SMTP; it sends the messages more

often than not, so it

must be valid.  I'm saying that in the specific case of company

foo.com running

redmine.foo.com and sending mail via mail.foo.com with users

a@foo.com through

z@foo.com that the mail server will be the final destination

for all of the messages.

As such, if someone accidentally uses the address AA@foo.com,

then the mail server

will reject the whole message because it knows that one address

is wrong and

absolutely no one that works with that user will ever get

a notification as a result.

This happens across mail server types, reliably.  I've tested

two Postfix servers and

an Exim server on this and it fails every time if just one user's

email is incorrect AND

the server Redmine uses to send the message is the final destination

for that

message.  It's not something one can easily fix.

Well, I could turn on soft failures on the server, but then when

the server is

spammed then it'll eat up a ton of resources and that's generally

not good.  It would

be much nicer if Redmine had the option of simply firing them

off in a loop so that

one bad address doesn't break things.

#5 - 2008-04-01 13:17 - Thomas Lecavelier

- Status changed from New to Closed

Seem to be related to a SMTP server RFC-ignorant.

Please reopen if this problem is confirmed.

#6 - 2014-07-25 02:13 - Toshi MARUYAMA

- Is duplicate of Defect #8157: Redmine do not send notification emails if a recipients email address is not valid added

#7 - 2014-11-24 09:07 - Toshi MARUYAMA

- Description updated

- Category set to Email notifications

#8 - 2016-12-02 14:48 - Aleksandar Pavic

+1

I can confirm this bug exists in version:

Environment:

  Redmine version                3.0.1.stable.14155

  Ruby version                   2.2.1-p85 (2015-02-26) [x86_64-linux]

  Rails version                  4.2.1

  Environment                    production

  Database adapter               Mysql2
SCM:

  Subversion                     1.8.8

  Git                            1.9.1

  Filesystem                     

Redmine plugins:

  agile_dwarf                    0.0.3

  clam                           0.0.1

  clipboard_image_paste          1.10

  redmine_image_clipboard_paste  1.0.0

 Expected behavior would be to send emails to rest of users related to tasks (creator and watchers)

Dump from my production log, after updating an issue:

Started PATCH "/issues/185" for 8.8.8.8 at 2016-12-02 14:44:25 +0100

Processing by IssuesController#update as HTML

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"MXd6g5H/bF8ZiF2TDabKInfV6Nh/N+pSzbIjo81LZfBl0OdxJ6FIkeA+UM6

QmZB8CujKL5QiNiffWJIpaHKgEQ==", "issue"=>{"is_private"=>" 

0", "project_id"=>"20", "tracker_id"=>"5", "subject"=>"Something", "description"=>"Some desc.", "status_id"=>"

3", "priority_id"=>"2", "assigned_to_id"=>"5", "fixed_version_id"=

>"", "parent_issue_id"=>"", "start_date"=>"2016-12-02", "due_date"=>"", "estimated_hours"=>"", "done_ratio"=>"

100", "notes"=>"", "private_notes"=>"0", "lock_version"=>

"4"}, "time_entry"=>{"hours"=>"", "activity_id"=>"", "comments"=>""}, "last_journal_id"=>"116", "commit"=>"Sub

mit", "id"=>"185"}

  Current user: aco (id=3)

  Rendered mailer/_issue.text.erb (4.8ms)

  Rendered mailer/issue_edit.text.erb within layouts/mailer (5.5ms)

  Rendered mailer/_issue.html.erb (2.7ms)

  Rendered mailer/issue_edit.html.erb within layouts/mailer (3.4ms)

Email delivery error: 550 5.1.1 <elliott@someserver.biz>: Recipient address rejected: User unknown in virtual 

alias table

#9 - 2018-09-10 22:24 - Ken Zalewski

This issue has persisted for years, and is now in the current version, 3.4.6.

It has affected us here at the Senate on multiple occasions when an employee leaves the Senate.  That employee's email address is disabled, so any

mail sent to that address returns a 550 SMTP error.

This has the end result of preventing ANY notifications from going out on a project where the terminated employee might be a member.  This is bad

behavior, and it's been reported multiple times.

I am asking that this issue be prioritized.  We depend on email notifications working properly, and we don't want project notifications to stop working

just because one member on that project/group has a bad email address.

#10 - 2019-06-08 06:18 - Go MAEDA

This problem was fixed by #26791 in Redmine 4.0.0.
